{{ $version := .Get "version" }}

{{ $total_ballots := 0 }}

<table>
    <thead>
        <th>Representative</th>
        <th>Organization</th>
        <th class="text-center">Vote</th>
    </thead>
    {{ range .Site.Data.committee.specification }}
        {{ $committee_member := . }}
        {{ range .ballots }}
            {{ if eq .version $version }}
                {{ $total_ballots = add $total_ballots (.vote | default 0) }}
                {{ $vote_prefix := "" }}
                {{ if gt .vote 0 }}
                    {{ $vote_prefix = "+" }}
                {{ end }}
                <tr>
                    <td>{{ $committee_member.name }}</td>
                    <td>{{ $committee_member.organization }}</td>
                    <td class="text-center">
                        {{ $vote_prefix -}}
                        {{ .vote | default "-" }}
                    </td>
                </tr>
            {{ end }}
        {{ end }}
    {{ end}}
    <tfoot>
        <td class="text-right" colspan="2">Total</td>
        <td class="text-center">{{ $total_ballots }}</td>
    </tfoot>
</table>